Subject: Re: 23.0.95; C-h H does not display hourglass cursor

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 17 Sep 2011 08:27:39 +0200

Eli Zaretskii <[email-masked]> writes:

> On MS Windows, "C-h H" takes as much as 10 seconds (on a 3GHz
> machine), but no hourglass cursor is displayed during that time,
> making it look like nothing is going on.
>
> If displaying an hourglass cursor during the time Emacs prepares to
> display etc/HELLO is difficult, at the very least please display some
> informative message that ends with "please wait..." in the echo area.

Adding a "please wait..." message is easy enough, but is there any way
to determine when the wait is over?  Emacs hangs in redisplay, probably?

And just leaving the "please wait..." after the wait is over wouldn't be
nice, either.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/